Bug 109474 - glibc-kernheaders tcp.h invalid macro
glibc-kernheaders tcp.h invalid macro
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: glibc-kernheaders (Show other bugs)
1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-08 04:37 EST by Warren Togami
Modified: 2015-01-04 17:03 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-05 19:14:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Warren Togami 2003-11-08 04:37:40 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.5)
Gecko/20031022 Firebird/0.7

Description of problem:
http://www.redhat.com/archives/fedora-devel-list/2003-November/msg00328.html
ftwall-1.07 built fine in RH9, but fails build in FC1 due to changes
in the contents of /usr/include/linux/tcp.h.  Read the above post for
details.

http://www.redhat.com/archives/fedora-devel-list/2003-November/msg00338.html
Roland McGrath at redhat.com believes the below tcp.h changes to be
broken.

--- tcp.h-rh9   2003-11-06 21:45:40.000000000 -1000
+++ tcp.h-fc1   2003-11-06 21:46:08.000000000 -1000
@@ -102,16 +102,16 @@
 #define tcp_flag_word(tp) ( ((union tcp_word_hdr *)(tp))->words [3])
  
 enum {
-       TCP_FLAG_CWR = __constant_htonl(0x00800000),
-       TCP_FLAG_ECE = __constant_htonl(0x00400000),
-       TCP_FLAG_URG = __constant_htonl(0x00200000),
-       TCP_FLAG_ACK = __constant_htonl(0x00100000),
-       TCP_FLAG_PSH = __constant_htonl(0x00080000),
-       TCP_FLAG_RST = __constant_htonl(0x00040000),
-       TCP_FLAG_SYN = __constant_htonl(0x00020000),
-       TCP_FLAG_FIN = __constant_htonl(0x00010000),
-       TCP_RESERVED_BITS = __constant_htonl(0x0FC00000),
-       TCP_DATA_OFFSET = __constant_htonl(0xF0000000)
+       TCP_FLAG_CWR = htonl(0x00800000),
+       TCP_FLAG_ECE = htonl(0x00400000),
+       TCP_FLAG_URG = htonl(0x00200000),
+       TCP_FLAG_ACK = htonl(0x00100000),
+       TCP_FLAG_PSH = htonl(0x00080000),
+       TCP_FLAG_RST = htonl(0x00040000),
+       TCP_FLAG_SYN = htonl(0x00020000),
+       TCP_FLAG_FIN = htonl(0x00010000),
+       TCP_RESERVED_BITS = htonl(0x0FC00000),
+       TCP_DATA_OFFSET = htonl(0xF0000000)
 };
  
 /* TCP socket options */

Version-Release number of selected component (if applicable):
glibc-kernheaders-2.4-8.36

How reproducible:
Always

Steps to Reproduce:
1. adfaf
2.
3.
    

Additional info:
Comment 7 Nick Simicich 2004-06-29 17:16:31 EDT
I wanted to compile shfs.  I ran into the "headers are hosed in
glibc-kernheaders" bug, so I went looking for an upgrade.  None were
in any of the yum repositories, but I found
glibc-kernheaders-2.4-9.1.84.i386.rpm  at a shadow in Czechoslovakia,
(yes, the signature checked) and, of course, it will still not
compile, but for other reasons.

Why is this not considered important enought to release a fix for? Or
even to have an update in updates-testing? If the places in yum.conf
or their shadows are wrong, where should I be looking?
Comment 8 Arjan van de Ven 2004-06-30 02:37:49 EDT
shfs is a kernel module; it cannot use the headers from
glibc-kernheaders anyway!
Comment 9 Warren Togami 2004-11-05 19:14:08 EST
This seems fixed in FC3.

Note You need to log in before you can comment on or make changes to this bug.